Orders
Get Client Orders
Returns a paginated list of orders submitted through the client portal for a specific client.
GET
/
clients
/
{id}
/
orders
Get Client Orders
curl --request GET \
--url https://api.roostedhr.com/api/1_12/clients/{id}/orders \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.roostedhr.com/api/1_12/clients/{id}/orders"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.roostedhr.com/api/1_12/clients/{id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"id": "<string>",
"name": "<string>",
"comments": "<string>",
"order_comments": "<string>",
"time_start": "<string>",
"time_end": "<string>",
"location": "<string>",
"address": "<string>",
"city": "<string>",
"postal_code": "<string>",
"order_created": "<string>",
"shifts": [
{
"id": "<string>",
"custom_name": "<string>",
"role_id": "<string>",
"quantity": 123,
"start": "<string>",
"end": "<string>",
"overnight": true,
"comments": "<string>"
}
]
}
],
"total": 12
}Authorizations
Path Parameters
Client ID
Query Parameters
Page number to retrieve.
Example:
1
Number of orders per page.
Example:
25
⌘I
Get Client Orders
